task Haplotyper {
	String SENTIEON_INSTALL_DIR
	String fasta
	File recaled_bam
	File recaled_bam_index
	File dbsnp_dir
	String dbsnp
	File STref_dir
	String sample
	String STdocker
	String cluster_config
	String disk_size

command <<<
		set -o pipefail
		set -e
		export SENTIEON_LICENSE=192.168.0.55:8990
		nt=$(nproc)	
		${SENTIEON_INSTALL_DIR}/bin/sentieon driver -r ${STref_dir}/${fasta} -t $nt -i ${recaled_bam} --algo Haplotyper -d ${dbsnp_dir}/${dbsnp} --trim_soft_clip --call_conf 20 --emit_conf 20 ${sample}_hc.vcf
	>>>
	
	runtime {
		dockerTag:STdocker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
	File vcf = "${sample}_hc.vcf"
	File vcf_idx = "${sample}_hc.vcf.idx"
	}
}


